/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "game.h"

bool gameInit(game_t *game) {
  // Init the engine and the rendering pipeline
  engineInit(&game->engine, game);

  // Send off to the game instance
  return pokerGameInit(game);
}

bool gameUpdate(game_t *game, float platformDelta) {
  // Let the engine do its thing.
  engineUpdateStart(&game->engine, game, platformDelta);

  // Hand off to the poker logic
  pokerGameUpdate(game);

  // Hand back to the engine.
  return engineUpdateEnd(&game->engine, game);
}

void gameDispose(game_t *game) {
  pokerGameDispose(game);
  engineDispose(&game->engine, game);
}