/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "round/match.h"

/**
 * Initializes the poker context for the first time.
 * @param poker Poker context to initialize.
 */
void pokerInit(poker_t *poker);

/**
 * Updates the poker context.
 * @param poker Poker game context.
 * @param engine Engine that is running the game.
 */
void pokerUpdate(poker_t *poker, engine_t *engine);

/**
 * Cleans an existing poker game instance.
 * @param poker Poker instance to cleanup
 */
void pokerDispose(poker_t *poker);